This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 815019 - (CVE-2012-0469) CVE-2012-0469 Mozilla: use-after-free in IDBKeyRange (MFSA 2012-22)
CVE-2012-0469 Mozilla: use-after-free in IDBKeyRange (MFSA 2012-22)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20120424,repor...
: Security
Depends On:
Blocks: 812268
  Show dependency treegraph
 
Reported: 2012-04-22 02:12 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-08-29 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 16:58:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-04-22 02:12:41 EDT
Using the Address Sanitizer tool, security researcher Aki Helin from OUSPG found that IDBKeyRange of indexedDB remains in the XPConnect hashtable instead of being unlinked before being destroyed. When it is destroyed, this causes a use-after-free, which is potentially exploitable. 

Reference:
http://www.mozilla.org/security/announce/2012/mfsa2012-22.html
Comment 1 Vincent Danen 2012-04-24 13:49:14 EDT
Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Aki Helin from OUSPG as the original reporter.
Comment 2 errata-xmlrpc 2012-04-24 15:46:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0516 https://rhn.redhat.com/errata/RHSA-2012-0516.html
Comment 3 errata-xmlrpc 2012-04-24 15:58:39 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0515 https://rhn.redhat.com/errata/RHSA-2012-0515.html

Note You need to log in before you can comment on or make changes to this bug.